For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETMCP manifest
      • GETOAuth protected resource metadata
      • GETMCP surface info
      • POSTExecute an MCP surface tool (dashboard test)
      • POSTList MCP surface tools (dashboard test)
Dashboard
LogoLogo
Runtype APIProduct Mcp

MCP surface info

GET
/v1/products/:productId/surfaces/:surfaceId/mcp/info
GET
/v1/products/:productId/surfaces/:surfaceId/mcp/info
$curl https://api.runtype.com/v1/products/productId/surfaces/surfaceId/mcp/info \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "mcp": {
3 "authentication": {
4 "format": "Bearer <token>",
5 "header": "Authorization",
6 "type": "Bearer"
7 },
8 "endpoint": "https://api.runtype.com/v1/mcp/endpoint",
9 "manifest": "{\"version\":\"1.0.0\",\"features\":[\"featureA\",\"featureB\"]}",
10 "protocolVersion": "1.2.3"
11 },
12 "product": {
13 "description": "A powerful AI product development platform with automation capabilities.",
14 "id": "prod_9f8e7d6c5b4a3",
15 "name": "Runtype AI Platform"
16 }
17}

Get MCP surface information. Public (no auth required).

Was this page helpful?
Previous

Execute an MCP surface tool (dashboard test)

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

productIdstringRequired
surfaceIdstringRequired

Response

MCP surface info
mcpobject
productobject

Errors

404
Not Found Error
500
Internal Server Error